summaryrefslogtreecommitdiff
path: root/dev-python/jsonpointer/jsonpointer-3.2.0.ebuild
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-10-08 03:05:01 -0500
committerCrucible <crucible@localhost>2026-10-08 03:05:01 -0500
commitac0126af4bbed1cc9dd34c9d8394875eb06f1ad9 (patch)
treec8fc2b7a985f8e35ead87530c62bfeb3edb46472 /dev-python/jsonpointer/jsonpointer-3.2.0.ebuild
parent4f8f07779b4dd78123821b104e43fd1eb15281dd (diff)
downloadsrcux-ac0126af4bbed1cc9dd34c9d8394875eb06f1ad9.tar.gz
srcux-ac0126af4bbed1cc9dd34c9d8394875eb06f1ad9.tar.xz
srcux-ac0126af4bbed1cc9dd34c9d8394875eb06f1ad9.zip
Publish srcux candidate 0000000587-20261008-030306
Diffstat (limited to 'dev-python/jsonpointer/jsonpointer-3.2.0.ebuild')
-rw-r--r--dev-python/jsonpointer/jsonpointer-3.2.0.ebuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/dev-python/jsonpointer/jsonpointer-3.2.0.ebuild b/dev-python/jsonpointer/jsonpointer-3.2.0.ebuild
new file mode 100644
index 000000000000..5091242d54b8
--- /dev/null
+++ b/dev-python/jsonpointer/jsonpointer-3.2.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/stefankoegl/python-json-pointer
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Identify specific nodes in a JSON document (according to draft 08)"
+HOMEPAGE="
+ https://github.com/stefankoegl/python-json-pointer/
+ https://pypi.org/project/jsonpointer/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}